Public Member Functions | Public Attributes | List of all members
libebook::BBeBBookInfo Struct Reference

`#include <BBeBTypes.h>`

## Public Member Functions
| BBeBBookInfo ()

## Public Attributes
std::string | author
std::string | title
std::string | bookID
std::string | publisher
boost::optional< std::string > | label
std::deque< std::string > | categories
std::string | classification
boost::optional< std::string > | freeText

## Constructor & Destructor Documentation

## ◆ BBeBBookInfo()

libebook::BBeBBookInfo::BBeBBookInfo | ( |  | ) |

## Member Data Documentation

## ◆ author

std::string libebook::BBeBBookInfo::author

## ◆ bookID

std::string libebook::BBeBBookInfo::bookID

## ◆ categories

std::deque<std::string> libebook::BBeBBookInfo::categories

## ◆ classification

std::string libebook::BBeBBookInfo::classification

## ◆ freeText

boost::optional<std::string> libebook::BBeBBookInfo::freeText

## ◆ label

boost::optional<std::string> libebook::BBeBBookInfo::label

## ◆ publisher

std::string libebook::BBeBBookInfo::publisher

## ◆ title

std::string libebook::BBeBBookInfo::title

The documentation for this struct was generated from the following files:

- BBeBTypes.h
- BBeBTypes.cpp